Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TEventInfoList

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TEventInfoListImpl

    public interface TEventInfoList

extends org.apache.xmlbeans.XmlObject

An XML tEventInfoList(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TEventInfoList.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TEventInfo` | `addNewEventInfo()` Appends and returns a new empty value (as xml) as the last "event-info" element
`TEventInfo[]` | `getEventInfoArray()` Deprecated.
`TEventInfo` | `getEventInfoArray(int i)` Gets ith "event-info" element
`java.util.List<TEventInfo>` | `getEventInfoList()` Gets a List of "event-info" elements
`TEventInfo` | `insertNewEventInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "event-info" element
`void` | `removeEventInfo(int i)` Removes the ith "event-info" element
`void` | `setEventInfoArray(int i, TEventInfo eventInfo)` Sets ith "event-info" element
`void` | `setEventInfoArray(TEventInfo[] eventInfoArray)` Sets array of all "event-info" element
`int` | `sizeOfEventInfoArray()` Returns number of "event-info" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getEventInfoList

    java.util.List<TEventInfo> getEventInfoList()

  Gets a List of "event-info" elements

### getEventInfoArray

    TEventInfo[] getEventInfoArray()

  Deprecated.

  Gets array of all "event-info" elements

### getEventInfoArray

    TEventInfo getEventInfoArray(int i)

  Gets ith "event-info" element

### sizeOfEventInfoArray

    int sizeOfEventInfoArray()

  Returns number of "event-info" element

### setEventInfoArray

    void setEventInfoArray(TEventInfo[] eventInfoArray)

  Sets array of all "event-info" element

### setEventInfoArray

    void setEventInfoArray(int i,
                           TEventInfo eventInfo)

  Sets ith "event-info" element

### insertNewEventInfo

    TEventInfo insertNewEventInfo(int i)

  Inserts and returns a new empty value (as xml) as the ith "event-info" element

### addNewEventInfo

    TEventInfo addNewEventInfo()

  Appends and returns a new empty value (as xml) as the last "event-info" element

### removeEventInfo

    void removeEventInfo(int i)

  Removes the ith "event-info" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD